<style>
    .product-list {
      display: flex;
      margin: 16px 0;
      flex-flow: wrap;
    }
  
    .product-list > .product-card {
      width: calc(25% - 32px);
      margin: 0 16px 16px 0;
      box-shadow: 0 1px 3px 0 rgba(0,0,0,0.2), 0 1px 1px 0 rgba(0,0,0,0.14), 0 2px 1px -1px rgba(0,0,0,0.12);
    }
  
    .product-list > .product-card > .product-image > img {
      width: 100%;
      height: 120px;
    }
  
    .product-list > .product-card .product-body {
      padding: 16px;
    }
  
    .product-list > .product-card .product-body .product-name {
      font-size: 16px;
      font-weight: 500;
      margin: 0 0 8px;
  
      white-space: nowrap;
      overflow: hidden;
      text-overflow: ellipsis;
    }
  
    .product-list > .product-card .product-body .product-description {
      font-weight: 300;
      margin: 0 0 12px;
  
      white-space: nowrap;
      overflow: hidden;
      text-overflow: ellipsis;
    }
  
    .product-list > .product-card .product-actions {
      padding: 0 16px 16px;
    }
    
    .product-list > .product-card .product-actions > .options.first-line > button {
      width: 100%;
      margin: 0 0 8px;
    }
  
    .product-list > .product-card .product-actions > .options.second-line > button {
      width: calc(50% - 2px);
    }
  
    @media only screen and (max-width: 768px) {
      .product-list > .product-card {
        width: calc(50% - 32px);
      }
    }
  
    @media only screen and (max-width: 480px) {
      .product-list > .product-card {
        width: calc(100% - 0px);
        margin: 16px 0;
      }
    }
  </style>

  <h3>{{ vm.categoria.scNombre }}</h3>
  
  <form class="input-group" ng-submit="vm.buscar()">
    <input type="text" class="form-control with-warning-addon" placeholder="Producto" aria-describedby="basic-addon2" ng-model="vm.busqueda.nombre">
    <span class="input-group-addon input-group-addon-primary addon-right searchable" id="basic-addon2">Buscar</span>
  </form>
  
  <button type="button" class="btn btn-warning btn-with-icon" ng-click="vm.goBackCategories()"><i class="fa fa-angle-left"></i>Categorias</button>  
  <button type="button" class="btn btn-primary btn-with-icon" ng-click="vm.addProduct()"><i class="fa fa-plus"></i>Registrar</button>
  
  <spinner ng-show="vm.isLoading"></spinner>
  
  <div class="product-list" ng-hide="vm.isLoading">
    <div class="product-card" ng-repeat="item in vm.productos">
      <div class="product-image">
        <img src="{{ item.pImagen }}" alt="">
      </div>
  
      <div class="product-body">
        <div class="product-name">
            {{ item.pNombre }}
        </div>
  
        <div class="product-information">
          <strong>Precio: </strong> {{ item.pPrecio }} Bs. <br>
          <strong>Cantidad: </strong> {{ item.pCantidadEnMano }}
        </div>
      </div>
  
      <div class="product-actions">  
        <div class="options second-line">
          <button type="button" class="btn btn-info btn-with-icon" ng-click="vm.goTo(item.id)">
            <i class="ion-edit"></i>Editar
          </button>
          <button ng-if="vm.allowDelete" type="button" class="btn btn-danger btn-with-icon" ng-click="vm.remove($index, item.id)">
            <i class="fa fa-trash-o"></i>Borrar
          </button>
        </div>
      </div>
    </div>
  </div>
  